Index: src/mlx/gui/faultexplain.py
===================================================================
--- src/mlx/gui/faultexplain.py	(revision 995)
+++ src/mlx/gui/faultexplain.py	(revision 996)
@@ -19,5 +19,5 @@
 #-------------------------------------------------------------------------------
 
-class FaultFrame(gtk.Frame):
+class FaultFrame(Gtk.Frame):
     """A frame containing the information about a single fault.
 
@@ -26,11 +26,11 @@
     def __init__(self, faultText):
         """Construct the frame."""
-        gtk.Frame.__init__(self)
+        Gtk.Frame.__init__(self)
 
         self._faultText = faultText
 
-        vbox = gtk.VBox()
-
-        self._fault = fault = gtk.Label()
+        vbox = Gtk.VBox()
+
+        self._fault = fault = Gtk.Label()
         fault.set_xalign(0.0)
         fault.set_justify(JUSTIFY_LEFT)
@@ -39,5 +39,5 @@
         self.faultText = faultText
 
-        faultAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        faultAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                        xscale = 1.0, yscale = 0.0)
         faultAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -46,5 +46,5 @@
         vbox.pack_start(faultAlignment, True, True, 4)
 
-        self._explanation = explanation = gtk.TextView()
+        self._explanation = explanation = Gtk.TextView()
         explanation.set_wrap_mode(WRAP_WORD)
         explanation.set_accepts_tab(False)
@@ -60,5 +60,5 @@
 
         styleContext = self.get_style_context()
-        color = styleContext.get_background_color(gtk.StateFlags.NORMAL)
+        color = styleContext.get_background_color(Gtk.StateFlags.NORMAL)
         fault.override_background_color(0, color)
 
@@ -119,5 +119,5 @@
 #-------------------------------------------------------------------------------
 
-class FaultExplainWidget(gtk.Frame):
+class FaultExplainWidget(Gtk.Frame):
     """The widget for the faults and their explanations."""
     @staticmethod
@@ -127,5 +127,5 @@
 
     def __init__(self, gui):
-        gtk.Frame.__init__(self)
+        Gtk.Frame.__init__(self)
 
         self._gui = gui
@@ -134,16 +134,16 @@
         label.set_use_underline(True)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
                               padding_left = 4, padding_right = 4)
 
-        self._outerBox = outerBox = gtk.EventBox()
+        self._outerBox = outerBox = Gtk.EventBox()
         outerBox.add(alignment)
 
-        self._innerBox = innerBox = gtk.EventBox()
+        self._innerBox = innerBox = Gtk.EventBox()
         alignment.add(self._innerBox)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -152,9 +152,9 @@
         innerBox.add(alignment)
 
-        scroller = gtk.ScrolledWindow()
+        scroller = Gtk.ScrolledWindow()
         scroller.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
         scroller.set_shadow_type(SHADOW_NONE)
 
-        self._faults = gtk.VBox()
+        self._faults = Gtk.VBox()
         self._faults.set_homogeneous(False)
         scroller.add(self._faults)
@@ -189,5 +189,5 @@
         """Add a fault with the given ID and text."""
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                       xscale = 1.0, yscale = 0.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 2,
@@ -287,10 +287,10 @@
         else:
             outerColour = \
-                styleContext.get_border_color(gtk.StateFlags.DROP_ACTIVE)
+                styleContext.get_border_color(Gtk.StateFlags.DROP_ACTIVE)
             innerColour = self._gui.backgroundColour
 
-        self._outerBox.override_background_color(gtk.StateFlags.NORMAL,
+        self._outerBox.override_background_color(Gtk.StateFlags.NORMAL,
                                                  outerColour)
-        self._innerBox.override_background_color(gtk.StateFlags.NORMAL,
+        self._innerBox.override_background_color(Gtk.StateFlags.NORMAL,
                                                  innerColour)
 
